<?php
if (!defined ('TYPO3_MODE')) {
	die ('Access denied.');
}

return array(
	'ctrl' => array(
			'title'	=> 'LLL:EXT:mmc_guestbook/Resources/Private/Language/locallang_db.xlf:tx_mmcguestbook_domain_model_entry',
			'label' => 'message',
			'tstamp' => 'tstamp',
			'crdate' => 'crdate',
			'cruser_id' => 'cruser_id',
			'dividers2tabs' => TRUE,
			'default_sortby' => 'ORDER BY crdate DESC, lastname ASC, firstname ASC',

			'delete' => 'deleted',
			'enablecolumns' => array(
				'disabled' => 'hidden',

			),
			'searchFields' => 'firstname,lastname,email,url,place,message,comment,remote_ip,',
			'iconfile' => \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::extRelPath('mmc_guestbook') . 'Resources/Public/Icons/tx_mmcguestbook_domain_model_entry.gif'
	),
	'interface' => array(
		'showRecordFieldList' => 'hidden, is_spam, crdate, firstname, lastname, email, url, place, message, comment, remote_ip, post_hash',
	),
	'types' => array(
		'1' => array('showitem' => 'hidden;;1, is_spam, crdate, firstname, lastname, email, url, place, message, comment, remote_ip, post_hash'),
	),
	'palettes' => array(
		'1' => array('showitem' => ''),
	),
	'columns' => array(

		'hidden' => array(
			'exclude' => 1,
			'label' => 'LLL:EXT:lang/locallang_general.xlf:LGL.hidden',
			'config' => array(
				'type' => 'check',
			),
		),

		'is_spam' => array(
			'exclude' => 0,
			'label' => 'LLL:EXT:mmc_guestbook/Resources/Private/Language/locallang_db.xlf:tx_mmcguestbook_domain_model_entry.is_spam',
			'config' => array(
				'type' => 'check',
			),
		),

		'crdate' => array(
			'exclude' => 0,
			'label' => 'LLL:EXT:mmc_guestbook/Resources/Private/Language/locallang_db.xlf:tx_mmcguestbook_domain_model_entry.crdate',
      'config' => Array (
	      'type' => 'none',
	      'format' => 'datetime',
	      'size' => 10
			),
		),

		'firstname' => array(
			'exclude' => 0,
			'label' => 'LLL:EXT:mmc_guestbook/Resources/Private/Language/locallang_db.xlf:tx_mmcguestbook_domain_model_entry.firstname',
			'config' => array(
				'type' => 'input',
				'size' => 30,
				'eval' => 'trim,required'
			),
		),
		'lastname' => array(
			'exclude' => 0,
			'label' => 'LLL:EXT:mmc_guestbook/Resources/Private/Language/locallang_db.xlf:tx_mmcguestbook_domain_model_entry.lastname',
			'config' => array(
				'type' => 'input',
				'size' => 30,
				'eval' => 'trim,required'
			),
		),
		'email' => array(
			'exclude' => 0,
			'label' => 'LLL:EXT:mmc_guestbook/Resources/Private/Language/locallang_db.xlf:tx_mmcguestbook_domain_model_entry.email',
			'config' => array(
				'type' => 'input',
				'size' => 30,
				'eval' => 'trim'
			),
		),
		'url' => array(
			'exclude' => 0,
			'label' => 'LLL:EXT:mmc_guestbook/Resources/Private/Language/locallang_db.xlf:tx_mmcguestbook_domain_model_entry.url',
			'config' => array(
				'type' => 'input',
				'size' => 30,
				'eval' => 'trim'
			),
		),
		'place' => array(
			'exclude' => 0,
			'label' => 'LLL:EXT:mmc_guestbook/Resources/Private/Language/locallang_db.xlf:tx_mmcguestbook_domain_model_entry.place',
			'config' => array(
				'type' => 'input',
				'size' => 30,
				'eval' => 'trim'
			),
		),
		'message' => array(
			'exclude' => 0,
			'label' => 'LLL:EXT:mmc_guestbook/Resources/Private/Language/locallang_db.xlf:tx_mmcguestbook_domain_model_entry.message',
			'config' => array(
				'type' => 'text',
				'cols' => 40,
				'rows' => 10,
				'eval' => 'trim,required'
			)
		),
		'comment' => array(
			'exclude' => 0,
			'label' => 'LLL:EXT:mmc_guestbook/Resources/Private/Language/locallang_db.xlf:tx_mmcguestbook_domain_model_entry.comment',
			'config' => array(
				'type' => 'text',
				'cols' => 40,
				'rows' => 10,
				'eval' => 'trim'
			)
		),
		'remote_ip' => array(
			'exclude' => 0,
			'label' => 'LLL:EXT:mmc_guestbook/Resources/Private/Language/locallang_db.xlf:tx_mmcguestbook_domain_model_entry.remote_ip',
			'config' => array(
				'type' => 'none',
				'size' => 20
			),
		),
		'post_hash' => array(
			'exclude' => 0,
			'label' => 'LLL:EXT:mmc_guestbook/Resources/Private/Language/locallang_db.xlf:tx_mmcguestbook_domain_model_entry.post_hash',
			'config' => array(
				'type' => 'none',
				'size' => 20
			),
		),

	),
);
